Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
test-suites
/
{testSuiteId}
取得測試套件
curl --request GET \
  --url https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId} \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {}
}

請求

GET https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}

路徑參數

projectId
string
required
專案 ID
testSuiteId
string
required
測試套件 ID

標頭

Authorization
string
required
使用您的 Developer Key 進行 Bearer 令牌認證

回應

data
object
測試套件物件,包含 idnametestCases{ id } 的陣列)。

範例

curl https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId} \
  -H "Authorization: Bearer dk_your_key"
{
  "data": {
    "id": "test-suite-uuid",
    "projectId": "project-uuid",
    "name": "Regression suite",
    "testCases": [
      { "id": "test-case-uuid-1" },
      { "id": "test-case-uuid-2" }
    ],
    "createdAt": "2026-03-23T00:00:00.000Z",
    "updatedAt": "2026-03-23T00:00:00.000Z"
  }
}